For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTCreate Processor Run
      • GETGet Processor Run
      • DELDelete Processor Run
      • POSTCancel Processor Run
      • GETList Processor Runs
      • POSTCreate Processor
      • GETList Processors
      • POSTUpdate Processor
      • GETList Processor Versions
      • POSTPublish Processor
      • GETGet Processor Version
      • GETGet Batch Processor Run
  • Webhook Events
LogoLogo
EndpointsLegacy

Delete Processor Run

Deprecated
DELETE
/processor_runs/:id
DELETE
/processor_runs/:id
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.processorRun.delete("processor_run_id_here");
1{
2 "success": true,
3 "documentProcessorRunId": "exr_Xj8mK2pL9nR4vT7qY5wZ",
4 "message": "Document processor run data has been successfully deleted."
5}

Delete a processor run and all associated data from Extend. This operation is permanent and cannot be undone.

This endpoint can be used if you’d like to manage data retention on your own rather than automated data retention policies. Or make one-off deletions for your downstream customers.

Was this page helpful?
Previous

Cancel Processor Run

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the processor run to delete.

Example: "exr_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

x-extend-workspace-idstringOptional

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

Response

Successfully deleted processor run
successboolean
documentProcessorRunIdstring
The ID of the deleted processor run
messagestring
Confirmation message

Errors

404
Not Found Error
500
Internal Server Error